| Documentation For Arduino users

- Main Page
- Related Pages
- Modules
- Classes
- Files
- Examples

Modules | Classes | Functions
Core API

Some essential things. More...

## Modules
| Touch Event
| How to attach(or detach) callback function called when touch event occurs.

## Classes
class | NexObject
| Root class of all Nextion components. More...
class | NexUpload
| Provides the API for nextion to download the ftf file. More...

## Functions
bool | nexInit (void)
| Init Nextion. More...
void | nexLoop (NexTouch *nex_listen_list[])
| Listen touch event and calling callbacks attached before. More...

## Detailed Description

Some essential things.

## Function Documentation

bool nexInit | ( | void |  | ) |

Init Nextion.

Returns
  true if success, false for failure.

Definition at line 220 of file NexHardware.cpp.

void nexLoop | ( | NexTouch * | nex_listen_list[] | ) |

Listen touch event and calling callbacks attached before.

Supports push and pop at present.

Parameters

  nex_listen_list | - index to Nextion Components list.

Returns
  none.

Warning
  This function must be called repeatedly to response touch events from Nextion touch panel. Actually, you should place it in your loop function.

Definition at line 235 of file NexHardware.cpp.